{**
 * Admin dashboard for cron executions
 *
 * @var $crons array Array of CronModels of the different types of crons.
 *}

{css src="assets/css/cron.css"}{/css}

<h3>Cron Information</h3>

{if !$enabled}
	<p class="message-warning">
		Crons are disabled.
	</p>
{else}
	{if $last_run_delta > 90}
		<p class="message-error">
			Crons do not appear to be running!
		</p>
	{else}
		<p class="message-success">
			Crons appear to be running, last run at {date format="SDT" $last_run}
		</p>
	{/if}

	<ul>
		{foreach $crons as $cron => $timestamp}
			<li>
				{$cron}:
				{if $timestamp}
					{a href="/admin/log?table=systemlogmodel&filter[code]=/cron/`$cron`"}
						last ran {date format="SDT" $timestamp}
					{/a}
				{else}
					never ran
				{/if}

				{if $cron === 'daily'}
					- Scheduled {$daily_schedule}
                {elseif $cron === 'weekly'}
					- Scheduled {$weekly_schedule}
                {elseif $cron === 'monthly'}
					- Scheduled {$monthly_schedule}
				{/if}
			</li>
		{/foreach}
	</ul>
{/if}

{a href="/cron/configure" class="button"}
	Configure Cron System
{/a}


{if false && sizeof($crons)}
	<table class="listing">
		<tr>
			<th>&nbsp;</th>
			<th>Cron</th>
			<th>Date Started</th>
			<th>Duration</th>
			<th width="50">&nbsp;</th>
		</tr>
		{foreach $crons as $cron}
			<tr>
				<td class="cron-status-{$cron.status}">
					{if $cron.status == 'pass'}
						<i class="icon icon-ok" title="Cron Succeeded"></i>
					{else}
						<i class="icon icon-remove" title="Cron Failed"></i>
					{/if}
				</td>
				<td>{$cron.cron}</td>
				<td>{date date="`$cron.created`"}</td>
				<td>
					{if $cron.duration > 120000}
						{($cron.duration/1000/60)|round:0} minutes
					{elseif $cron.duration > 1500}
						{($cron.duration/1000)|round:0} seconds
					{else}
						{$cron.duration|round:2} ms
					{/if}
				</td>
				<td>
					<ul class="controls">
						<li>
							{a href="/cron/view/`$cron.id`" title="View Details" class="ajax-link"}
								<i class="icon icon-view"></i>
								<span>View Details</span>
							{/a}
						</li>
					</ul>
				</td>
			</tr>
		{/foreach}
	</table>
<br/>
	{a href="/cron/admin" class="button"}<i class="icon icon-view"></i> View All Crons{/a}
{else}
	<p class="message-info">No cron information is available!</p>
{/if}