{script library="jqueryui"}{/script}
{script src="js/core.fileupload.js"}{/script}
{script library="jqueryui.timepicker"}{/script}
{css src="css/gallery.css"}{/css}
{script library="core.ajaxlinks"}{/script}
{script library="notify"}{/script}


{if $prev}
	<div class="gallery-previous-image">
		{a href="`$prev->getRewriteURL()`" title="`$prev.title`"}
			{img file=$prev->getFile() width="75" height="75" title="`$prev.title`"}
			<i class="icon icon-chevron-left"></i>
		{/a}
	</div>
{/if}

{if $next}
	<div class="gallery-next-image">
		{a href="`$next->getRewriteURL()`" title="`$next.title`"}
			{img file=$next->getFile() width="75" height="75" title="`$next.title`"}
			<i class="icon icon-chevron-right"></i>
		{/a}
	</div>
{/if}


<div class="gallery-{$image->getFileType()}-details">
	{* To change the size the "large" version opens at, simply change the resolution here. *}
	{a href="`$image->getFile()->getPreviewURL('1020x800')`" data-lightbox="image-1" data-title="{$image.title}"}
		{img file=$image->getFile() width="760" height="760" title="`$image.title`"}
	{/a}

	<div class="gallery-image-detailspane">
		<div class="gallery-image-detailspane-title">
			{$image.title}
		</div>

		{$metas->getAsHTML()}

		{if $exif}
			<div class="gallery-image-detailspane-showhideextra">
				<span class="show">more info [+]</span>
				<span class="hide" style="display:none;">less info [-]</span>
			</div>
			<ul class="gallery-image-detailspane-details" style="display:none;">
				{foreach $exif->fields as $field}
					<li>{t $field->title}: {$field->formatted}</li>
				{/foreach}
			</ul>
		{/if}
	</div>
</div>

<div class="gallery-image-description">
	{$metas.description}
</div>

{if $metas.keywords}
	<div class="gallery-image-keywords">
		{$metas.keywords|implode:", "}
	</div>
{/if}




{if $exif}
{script location="foot"}<script type="text/javascript">
	$('.gallery-image-detailspane-showhideextra').click(function(){
		if($(this).find('.show').is(':visible')){
			// So show it!
			$(this).find('.show').hide();
			$(this).find('.hide').show();
			$('.gallery-image-detailspane-details').show();
		}
		else{
			// So hide it!
			$(this).find('.show').show();
			$(this).find('.hide').hide();
			$('.gallery-image-detailspane-details').hide();
		}
	});
</script>{/script}

{/if}


{if $lightbox_available}
	{script library="jquery.lightbox"}{/script}
	<script>
		$('.lightbox').lightBox({ fixedNavigation:true });
	</script>
{/if}


{if $editor}

<script>
	$(function () {
		$('.rotate-link').click(function () {
			$.notify('Rotating image, please wait...', 'info');
			var $this = $(this),
				image = $this.attr('image');

			$.ajax({
				url:     Core.ROOT_WDIR + 'gallery/images/rotate/{$album.id}.json',
				data:    {
					image: image,
					rotate:$this.attr('rotate')
				},
				type:    'GET',
				dataType:'json',
				error:   function () {
					$.notify('There was an error while rotating the image', 'error');
				},
				success: function () {
					window.location.reload();
				}
			});

			return false;
		});
	});
</script>

{/if}

<script type="text/javascript">
	$('.gallery-image-detailspane')
		.mouseover(function(){
			$(this).addClass('hover');
		})
		.mouseout(function(){
			$(this).removeClass('hover');
		});
</script>