{script library="jqueryui"}{/script}
{script library="jquery.masonry"}{/script}
{script src="js/core.fileupload.js"}{/script}
{script library="jqueryui.timepicker"}{/script}
{css src="css/gallery.css"}{/css}
{script library="core.ajaxlinks"}{/script}
{script library="notify"}{/script}

{if $uploader}
	<form action='{link link="/gallery/images/upload?album=`$album.id`"}' method="POST" enctype="multipart/form-data">

		<input type="file" style="display:none;"
			   multiple="multiple"
			   id="file-upload-input"
			   accept="{$album.accepttypes}"
			   data-max-post-size="{$max_post_size}"
			   data-max-upload-size="{$max_upload_size}"
			   data-max-upload-count="{$max_upload_count}"/>
		<progress min="0" max="100" value="0" style="display:none;"></progress>
	</form>
	<br/><br/>
{/if}

<div class="gallery-description">
	{insertable name="description" title="Description"}
		<p>Description for this gallery!</p>
	{/insertable}
</div>

<div id="gallery-images" class="tile-container">
	{foreach from=$images item=i}

		{* Calculate the image size based on sm/med/lg *}
		{if $i.previewsize == 'xs'}
			{assign var="dimensions" value="44x44"}
		{elseif $i.previewsize == 'sm'}
			{assign var="dimensions" value="94x94"}
		{elseif $i.previewsize == 'med'}
			{assign var="dimensions" value="194x194"}
		{elseif $i.previewsize == 'lg'}
			{assign var="dimensions" value="394x394"}
		{elseif $i.previewsize == 'xl'}
			{assign var="dimensions" value="794x794"}
		{else}
			{assign var="dimensions" value="194x194"}
		{/if}

		<div class="gallery-image gallery-image-wrapper-{$i.previewsize} tile">
			{if $editor || $userid == $i.uploaderid}
				<div class="gallery-admin-image-utils">
					<ul class="controls" data-proxy-text="Image Controls">
						<li class="control-edit">
							{a href="/gallery/images/update/`$album.id`?image=`$i.id`" title="Edit {$i->getFileType()}" image="`$i.id`"}
								<i class="icon icon-edit"></i>
								<span>Edit {$i->getFileType()}</span>
							{/a}
						</li>
						{if ($i->getFileType() == 'image')}
							<li class="control-rotate-ccw">
								<a href="#" title="Rotate Image CCW" class="rotate-link" image="{$i.id}" rotate="ccw">
									<i class="icon icon-undo"></i>
									<span>Rotate Image CCW</span>
								</a>
							</li>

							<li class="control-rotate-cw">
								<a href="#" title="Rotate Image CW" class="rotate-link" image="{$i.id}" rotate="cw">
									<i class="icon icon-repeat"></i>
									<span>Rotate Image CW</span>
								</a>
							</li>
						{/if}
						<li class="control-remove">
							{a href="/gallery/images/delete/`$album.id`?image=`$i.id`" title="Remove `$i->getFileType()`" confirm="Confirm deleting `$i->getFileType()`?"}
								<i class="icon icon-remove"></i>
								<span>Remove {$i->getFileType()}</span>
							{/a}
						</li>
					</ul>
				</div>
			{/if}
			{a href="`$i.rewriteurl`"}
				{img alt="`$i.title|escape`" file=$i->getPreviewFile() dimensions="`$dimensions`" title="`$i.title|escape`" class="gallery-image-img"}
			{/a}
			<div class="gallery-image-title">
				{$i.title}
			</div>


		</div>
	{foreachelse}
		<p class='message-info'>{t 'MESSAGE_INFO_GALLERY_ALBUM_NO_IMAGES'}</p>
	{/foreach}
	<!-- An empty div to ensure that the image floats do not chop into other content on the page. -->
	<div class="gallery-view-last-div"></div>
</div>


{script location="foot"}<script>
	$(function(){
		{if $editor}
			$('.rotate-link').click(function(){
				var $dialog = $('<div>Rotating...</div>'),
						$this = $(this),
						image = $this.attr('image'),
						windowtitle = 'Rotating',
						$xhr;

				$('body').append($dialog);

				$xhr = $.ajax({
					url: Core.ROOT_WDIR + 'gallery/images/rotate/{$album.id}.json',
					data: {
						image: image,
						rotate: $this.attr('rotate')
					},
					type: 'GET',
					dataType: 'json',
					error: function(){
						$dialog.dialog('destroy').remove();
						alert('There was an error while rotating the image.');
					},
					success: function(){
						window.location.reload();
					}
				});

				$dialog.show().dialog({
					modal:   true,
					autoOpen:false,
					title:   windowtitle,
					width:   '500px',
					close: function(){ $xhr.abort(); $(this).remove(); }
				}).dialog('open');

				return false;
			});
		{/if}

		{if $uploader}
			$('.action-upload').click(function() {
				$('#file-upload-input').trigger('click');
				return false;
			});

			$('#file-upload-input').change(function() {
				var $this = $(this),
					maxPostSize = $this.data('max-post-size'),
					maxUploadSize = $this.data('max-upload-size'),
					maxUploadCount = $this.data('max-upload-count'),
					blockSize = 0,
					i, file, c, bf, block, size;

				window.fileUploader = {
					action: $this.closest('form').attr('action'),
					blocks: [],
					totalSize: 0,
					doneSize: 0,
					lastSize: 0,
					progress: $this.closest('form').find('progress')[0]
				};

				$(window.fileUploader.progress).show();

				// Provide some grace length for the total upload size.
				maxPostSize *= .9;

				if(this.files.length === 1){
					$.notify('Uploading ' + this.files[0].name.replace(/[^a-zA-Z\.-]*/g, ''), 'info');
				}
				else{
					$.notify('Uploading ' + this.files.length + ' Files', 'info');
				}

				c = 0;
				bf = 0;
				for(i=0; i<this.files.length; i++){
					file = this.files[i];
					if(file.size > maxUploadSize) {
						$.notify(file.name + ' exceeds upload size limit!  Unable to upload that file.', 'error');
						continue;
					}

					if(
						file.size + blockSize > maxPostSize ||
						1 + bf > maxUploadCount
					) {
						// This file pushes the block size over the maximum limit,
						// reset the counters and start a new block
						c++;
						blockSize = 0;
						bf = 0;
					}

					blockSize += file.size;
					window.fileUploader.totalSize += file.size;
					bf++;
					if(typeof(window.fileUploader.blocks[c]) === 'undefined') {
						window.fileUploader.blocks[c] = {
							data: new FormData(),
							xhr: new XMLHttpRequest()
						};

						window.fileUploader.blocks[c].xhr.onload = function(response) {
							var block = window.fileUploader.blocks.shift();

							if(typeof(block) !== 'undefined') {
								window.fileUploader.lastSize = 0;
								block.xhr.open('POST', window.fileUploader.action);
								block.xhr.send(block.data);
							}
							else {
								// All done!
								window.location.reload();
							}
						};

						window.fileUploader.blocks[c].xhr.upload.onprogress = function (event) {
							if (event.lengthComputable) {
								window.fileUploader.doneSize += event.loaded - window.fileUploader.lastSize;
								window.fileUploader.lastSize = event.loaded | 0;
								window.fileUploader.progress.value = window.fileUploader.doneSize / window.fileUploader.totalSize * 100;
							}
						};
					}

					window.fileUploader.blocks[c].data.append('files' + i, file);
				}

				// now post a new XHR request
				block = window.fileUploader.blocks.shift();
				if(typeof(block) !== 'undefined') {
					window.fileUploader.lastSize = 0;
					block.xhr.open('POST', window.fileUploader.action);
					block.xhr.send(block.data);
				}
			});
		{/if}

		/*
		var $imgs = $('.gallery-image-img'),
			len = $imgs.length,
			loaded = 0,
			timer = null;
		
		$imgs.each(function() {
			$(this).on('load', function() {
				loaded++;
			});
		});
		
		timer = setInterval(function() {
			if(loaded == len){
				clearInterval(timer);
				$('#gallery-images').masonry({
					itemSelector : '.gallery-image-wrapper',
					isAnimated: true,
					columnWidth: 50
				});
			}
		}, 500);

		$('.gallery-image-wrapper')
			.mouseover(function(){
				$(this).addClass('hover');
			})
			.mouseout(function(){
				$(this).removeClass('hover');
			});
			*/
	})
</script>{/script}
