<div class="{$element->getClass()} {$element->get('id')} clearfix">
	<label class="form-element-label">
		{$element->get('title')|escape}
		{if $element->get('required')}<span class="form-element-required-mark" title="Required Field"> *</span>{/if}
	</label>

	<p class="form-element-description">{$element->get('description')}</p>

	<div class="form-element-value">
		<input type="hidden" name="{$element->get('name')}[id]" value="{$id}"/>

		{if $use_label}
			<input type="text" class="address-label" name="{$element->get('name')}[label]" placeholder="Label / Address Nickname" {if $req}required="required"{/if} value="{$label|escape}"/>
		{/if}

		<input type="text" class="address-address1" name="{$element->get('name')}[address1]" placeholder="Address 1" {if $req}required="required"{/if} value="{$address1|escape}"/>

		<input type="text" class="address-address2" name="{$element->get('name')}[address2]" placeholder="Address 2" value="{$address2|escape}"/>

		<input type="text" class="address-city" name="{$element->get('name')}[city]" placeholder="City" value="{$city|escape}"/>

		<div id="{$element->get('id')}-province-wrapper" class="address-province-wrapper">
			<!-- noscript logic -->
			<input type="text" class="address-province" name="{$element->get('name')}[province]" value="{$province}" maxlength="2" placeholder="State/Province"/>
		</div>


		<input type="text" class="address-postal" name="{$element->get('name')}[postal]" value="{$postal|escape}" {if $req}required="required"{/if} maxlength="10" placeholder="Zip/Postal"/>

		<div id="{$element->get('id')}-country-wrapper" class="address-country-wrapper">
			<select class="address-country" id="{$element->get('id')}-country" name="{$element->get('name')}[country]">
				
				{foreach from=$countries item=opttitle key=optkey}
					{if is_array($opttitle) || is_object($opttitle)}
						<optgroup label="{$optkey}">
							{foreach $opttitle as $subkey => $subtitle}
								<option value="{$subkey}" {if $subkey == $country}selected{/if}>{$subtitle}</option>
							{/foreach}
						</optgroup>
					{else}
						<option value="{$optkey}" {if $optkey == $country}selected{/if}>{$opttitle}</option>
					{/if}
				{/foreach}
			</select>
		</div>

	</div>


</div>


{script location="foot"}<script>
	(() => {
		let provinces        = {$province_json},
			current_province = "{$province}",
			current_country  = "{$country}",
			id               = "{$element->get('id')}",
			name             = "{$element->get('name')}",
			$provincewraper  = document.getElementById(id + '-province-wrapper'),
			$countryselect   = document.getElementById(id + '-country'),
			renderprovinces;

		renderprovinces = () => {
			let html = '<select id="' + id + '-province" name="' + name + '[province]" required="required">', i, c = 0;

			html += '<option value="">-- Select State/Province --</option>';

			for (i in provinces){
				if(provinces[i].hasOwnProperty('code') && provinces[i].hasOwnProperty('name')) {
					c += 1;
					html += '<option value="' + provinces[i].code + '"';
					if(provinces[i].code === current_province) {
						html += ' selected="selected"';
					}
					html += '>' + provinces[i].name + '</option>';
				}
			}

			html += '</select>';

			if(c > 0){
				$provincewraper.innerHTML = html;
			}
			else{
				$provincewraper.innerHTML = '';
			}
		};

		$countryselect.addEventListener('change', evt => {
			current_country = $countryselect.value;
			$provincewraper.innerHTML = 'Loading Provinces...';
			Core.Ajax(
				Core.ROOT_URL + 'geoaddress/getprovinces/' + current_country,
				{
					callback: (data, contentType) => {
						provinces = data;
						renderprovinces();
					}
				}
			);
		});

		// On first load.
		renderprovinces();
	})();
</script>{/script}