<?php


namespace MediaManager;


use Core\Templates\Template;
use Core\ViewControl;

class MediaManagerHooks {
	public static function PageControlLinks(\PageModel $page) {
		$ret = [];
		if(\Core\user()->checkAccess('g:admin') && $page->last_template) {
			// Resolve the template to ensure it exists
			try {
				$template = Template::Factory($page->last_template);
				$filename = $template->getFilename();
				// Filename will be fully resolved
				$filename = substr($filename, strlen(ROOT_PDIR));
				// This file could be in the component, theme, or custom.
				// either way we don't care; we just need the part after /pages/.
				// the navigator will be able to resolve it correctly.
				$filename = substr($filename, strpos($filename, '/pages/') + 7);

				$ret[] = [
					'icon' => 'file-code',
					'title' => 'Edit Page Template',
					'link' => '/mediamanagernavigator/file/editor?type=page&path=' . $filename,
					'group' => ViewControl::GROUP_ADMIN,
				];
			}
			catch(\Exception $e) {
				// You just don't get this option.
				\Core\log_exception($e);
			}
		}

		return $ret;
	}
}