<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace MediaManager\Navigators;

use MediaManager\Navigator2;
use Core\ConfigHandler;

/**
 * Description of MediaNavigator
 *
 * @author charlie
 */
class MediaNavigator extends Navigator2 {
	public function __construct() {
		$this->_type      = 'media';
		$this->_isAdmin   = \Core\user()->checkAccess('g:admin');
		$this->_canUpload = $this->_isAdmin || \Core\user()->checkAccess('p:/mediamanager/upload');
		$this->_canUpdate = $this->_isAdmin || \Core\user()->checkAccess('p:/mediamanager/upload');
		$this->_canAccess = $this->_canUpload || \Core\user()->checkAccess('p:/mediamanager/browse');
		$this->_basedir   = ConfigHandler::Get('/mediamanager/sandbox') === 'user-sandboxed' ?
			// User sandboxing sets the base directory to their personal directory.
			'public/media/' . \Core\user()->get('id') . '/' :
			// Default is the shared media directory.
			'public/media/';
	}
	
	public function getTitle() : string {
		return 'Media Files';
	}
}
