{if $model}
	{assign var=menu_id value="`$model.id`"}
{else}
	{assign var=menu_id value="NEW"}
{/if}

<div class="collection-item navigation-menu-manager collapsed" data-id="{$menu_id}">
	{if $model}
		<div class="collection-item-title">
			{$model.name}
		</div>

		<div class="collection-item-collapse-hint" data-hash="">
			Hide Menu Editor
		</div>
		<div class="collection-item-expand-hint" data-hash="menu:{$menu_id}">
			Show Menu Editor
		</div>
	{else}
		<div class="collection-item-title">
            New Menu
		</div>

		<div class="collection-item-collapse-hint" data-hash="">
			Hide Menu Creator
		</div>
		<div class="collection-item-expand-hint" data-hash="menu:new">
			Show Menu Creator
		</div>
	{/if}

	{if $model}
		<div class="collection-item-controls">
            <a href="#" class="open-menu-widgetareas">
				<i class="icon icon-cog"></i>
				<span>Manage Installed</span>
			</a>

			{a href="/navigation/delete/{$menu_id}" confirm="Are you sure you want to completely remove this menu?"}
				<i class="icon icon-times"></i>
				<span>Delete Menu</span>
			{/a}
		</div>
    {/if}

	<div class="collection-item-description hidden">
		{if !$model}
			<p class="message-tutorial">
				To create a new site menu, give it a name and add some links.<br/><br/>
				You'll be able to install it into a location on the site once saved via the "Manage Installed" link.
			</p>
		{/if}
		<label for="nav-name-{$menu_id}">Menu Name</label>
		<input type="hidden" class="menu-id-input" value="{$menu_id}"/>
		<input type="text" class="menu-name-input" id="nav-name-{$menu_id}" value="{if $model}{$model.name}{/if}"/>

		<ol class="sortable-listing navigation-edit-entries" id="nav-entries-{$menu_id}">
            {if $model}
                {foreach $model.NavigationEntry as $entry}
					<li
							data-title="{$entry.title|escape}"
							data-id="{$entry.id}"
							data-type="{$entry.type}"
							data-url="{$entry.baseurl}"
							data-target="{$entry.target}"
							data-parent="{$entry.parentid}"
							data-status="existing"
					>
                        {$entry.title}
					</li>
                {/foreach}
            {/if}
		</ol>


		<hr/>

		<div class="button-group">
			<a class="button add-entry-int-btn" href="#" title="Add Internal Link"><i class="icon icon-link"></i> Add Internal Link</a>
			<a class="button add-entry-ext-btn" href="#" title="Add External Link"><i class="icon icon-external-link-alt"></i> Add External Link</a>
			<a class="button add-entry-none-btn" href="#" title="Add Text Label"><i class="icon icon-hashtag"></i> Add Text Label</a>
		</div>

		<hr/>

		<div class="save-group">
			<a class="button save-menu" href="#" title="Save Menu">
				<i class="icon icon-save default-state"></i>
				<i class="icon icon-spin icon-spinner loading-state"></i>
				Save Menu
			</a>
		</div>
	</div>

	{if $model}

		{assign var=menu_widget value=$model->getLink('Widget')}
		{if $menu_widget}
			{assign var=menu_areas value=$menu_widget->getInstalledKeys()}
		{else}
			{assign var=menu_areas value=[]}
		{/if}

		<script type="text/template" class="widgetarea-template">
			<div class="tile-container navigation-menu-manager-widgetareas">
				{foreach $areas as $area}
					<div class="tile">
						<span class="tile-title">
							{$area.title}
						</span>
						<div class="tile-image">
							{img src="`$area.preview`" placeholder="generic"}
						</div>
						<div class="tile-controls">
							<div class="button-group">
								{if isset($menu_areas[$area.key])}
									{a href="/widget/instance/update/`$menu_areas[$area.key]`" class="button" title="Display Settings"}
										<i class="icon icon-cog default-state"></i>
										<i class="icon icon-spin icon-spinner loading-state"></i>
										<span>Settings</span>
									{/a}
                                    {a href="/widget/instance/remove/`$menu_areas[$area.key]`" class="button remove-menu" title="Remove Widget"}
										<i class="icon icon-upload default-state"></i>
										<i class="icon icon-spin icon-spinner loading-state"></i>
										<span>Remove</span>
                                    {/a}
								{else}
									<a href="#"
									   data-template="{$area.template}"
									   data-page-baseurl="{$area.page_baseurl}"
									   data-widgetarea="{$area.widgetarea}"
									   data-id="{$menu_id}"
									   title="Install into {$area.widgetarea}"
									   class="button install-menu"
									>
										<i class="icon icon-download default-state"></i>
										<i class="icon icon-spin icon-spinner loading-state"></i>
										<span>Install</span>
									</a>
								{/if}
							</div>
						</div>
					</div>
				{/foreach}
			</div>
		</script>
	{/if}
</div>

