"use strict";

/*
$('.event-expandable-hint').click(function(){
	$(this).closest('.profiler-event-wrapper').removeClass('collapsed').addClass('expanded');
	return false;
});
$('.event-collapsible-hint').click(function(){
	$(this).closest('.profiler-event-wrapper').removeClass('expanded').addClass('collapsed');
	return false;
});
$('.profiler-event-expandall-hint').click(function(){
	$(this).hide();
	$('.profiler-event-collapseall-hint').show();
	$('.profiler-event-wrapper').removeClass('collapsed').addClass('expanded');
	return false;
});
$('.profiler-event-collapseall-hint').click(function(){
	$(this).hide();
	$('.profiler-event-expandall-hint').show();
	$('.profiler-event-wrapper').removeClass('expanded').addClass('collapsed');
	return false;
});
*/


(() => {
	let areaWindow, init, openWindow, closeWindow, currentFrame, pageRequests, createProfilingPage, renderProfilingEvents;


	init = function() {
		areaWindow = document.getElementById('dev-tools-window');

		document.getElementById('dev-tools-anchor').addEventListener('click', evt => {
			openWindow();
			evt.preventDefault();
		});

		document.getElementById('dev-tools-window-close').addEventListener('click', evt => {
			closeWindow();
			evt.preventDefault();
		});

		document.getElementById('dev-tools-window').addEventListener('click', evt => {
			let match, target, newFrame;

			match = evt.target.closest('.dev-tools-link');
			if(match) {
				target = match.dataset['target'];

				if(currentFrame) {
					currentFrame.style.display = 'none';
				}

				newFrame = document.getElementById('dev-tools-window-' + target);
				if(newFrame) {
					currentFrame = newFrame;
					newFrame.style.display = 'block';
				}

				evt.preventDefault();
				return;
			}

			match = evt.target.closest('.profile-event-trace-link');
			if(match) {
				target = match.closest('li').querySelector('.profile-event-trace');
				if(target.style.display === 'none') {
					target.style.display = 'block';
				}
				else {
					target.style.display = 'none';
				}

				evt.preventDefault();
				return;
			}


		});
	};

	openWindow = function() {
		areaWindow.style.left = 0;
	};

	closeWindow = function() {
		areaWindow.style.left = '-100%';
	};

	createProfilingPage = function(page) {
		let html = '', id = Date.now(), newPage;

		html += '<strong>Base URL: ' + page.uri + '</strong><br/><br/>';

		html += '<p>' +
			'Memory Used: ' + page.memory + '<br/>' +
			'Processing Time: ' + page.time + '<br/>' +
			'Return Type: ' + page.type + '<br/>' +
			'Template Name: ' + page.template + '<br/>' +
			'Template Path: ' + page.template_path + '<br/>' +
			'Skin Name: ' + page.skin + '<br/>' +
			'Skin Path: ' + page.skin_path +
			'</p>';

		html += renderProfilingEvents(page.events.events);

		newPage = document.createElement('div');
		newPage.id = 'dev-tools-window-request-' + id;

		document.getElementById('dev-tools-window-content').appendChild(newPage);

		newPage.innerHTML = html;

		return id;
	};

	renderProfilingEvents = function(events) {
		let html = '<ul class="profile-events">', i;

		for(i = 0; i < events.length; i++) {
			html += '<li class="profile-event profile-event-type-' + events[i].type + '">' +
				'@' + events[i].start + ' ' +
				'<span class="profile-event-type">' + events[i].type + '</span> ' +
				events[i].duration + ' ' +
				events[i].message;

			if(events[i].trace) {
				// Build the stack trace here; the inline display:none is required for javascript to be aware of the status.
				html += ' <a href="#" class="profile-event-trace-link" title="Show/Hide Stack Trace">[?]</a>' +
					'<div class="profile-event-trace" style="display:none;">' + events[i].trace + '</div>';
			}

			if(events[i].events) {
				html += renderProfilingEvents(events[i].events);
			}
			html += '</li>';
		}

		html += '</ul>';

		return html;
	};

	// Global hooks for this logic
	Core.DevTools = {
		/**
		 * Set the information for available components in Core, including disabled and problematic
		 * @param data
		 * @constructor
		 */
		SetComponents: function(data) {
			let frame = document.getElementById('dev-tools-window-components'), html = '', i;

			html += '<table><tr><th>Component</th><th>Version</th><th>Status</th></tr>';
			for(i = 0; i < data.length; i++) {
				html += '<tr class="component-status-' + data[i].status + '">' +
					'<td class="component-name">' + data[i].name + '</td>' +
					'<td class="component-version">' + data[i].version + '</td>' +
					'<td class="component-status">' + data[i].status + '</td>' +
					'</tr>';
			}
			html += '</table>';

			frame.innerHTML = html;
		},
		SetPageDetails: function(data) {
			let html, id;

			//console.log(data);

			// If there are no details yet, create the template.
			if(!pageRequests) {
				let frame = document.getElementById('dev-tools-window-requests');

				frame.innerHTML = '<table><tr><th>URI</th><th>Processing Time</th><th>Memory</th><th>DB Reads</th><th>DB Writes</th><th>Type</th></tr>' +
					'<tbody id="dev-tools-window-requests-body"></tbody>' +
					'</table>';

				pageRequests = document.getElementById('dev-tools-window-requests-body');
			}

			// Create a new page with the profiling information from this page
			id = createProfilingPage(data);

			html = '<tr>' +
				'<td><a href="#" class="dev-tools-link" data-target="request-' + id + '">' + data.method + ' ' + data.uri + '</a></td>' +
				'<td>' + data.time + '</td>' +
				'<td>' + data.memory + '</td>' +
				'<td>' + data.db_reads + '</td>' +
				'<td>' + data.db_writes + '</td>' +
				'<td>' + data.type + '</td>' +
				'</tr>';

			pageRequests.innerHTML = pageRequests.innerHTML + html;

			// Request URI | Processing Time | Memory | DB Reads | DB Writes | Type | Details
		}
	};

	document.addEventListener('DOMContentLoaded', evt => {
		init();
	});
})();
