<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core;

/**
 * Description of ModelLink
 *
 * @author charlie
 */
class ModelLink {
	
	/**
	 * @var string Column name on this Model that contains a link
	 */
	public $key;
	/**
	 * @var string Linked Model name that's being referenced
	 */
	public $model;
	/**
	 * @var string One of Model::LINK_TYPE* strings indicating the relationship type
	 */
	public $type;
	/**
	 * @var string[] Hash of mappings for the ON statement
	 */
	public $on;
	/**
	 * @var string[]|null Array of default order, or NULL if not set
	 */
	public $order;
	
	/**
	 * @var null|Model|Model[] Model or array of Models when populated from the Model
	 */
	public $records;
	
	/**
	 * @var null|Model[] Array of any model removed from this parent
	 */
	public $purged;
	
	public function __construct(string $field = null, $dat = null) {
		$this->key = $field;
		
		if(is_array($dat)){
			$this->setLinkFull($dat);
		}
		else{
			$this->setLinkShorthand($dat);
		}
		

		if(is_scalar($this->on)){
			// The 'on' parameter should be an array.
			$this->on = [ 
				$this->on => ($this->key !== null ? $this->key : $this->on)
			];
		}
		
		if(strrpos($this->model, 'Model') !== strlen($this->model) - 5){
			// Ensure the model class is resolved
			$this->model .= 'Model';
		}
	}
	
	public function setLinkFull(array $dat) {
		$this->model = $dat['model'];
		
		if(isset($dat['link'])){
			// Legacy for of defining links.
			$this->type = $dat['link'];
		}
		elseif(isset($dat['type'])){
			$this->type = $dat['type'];
		}
		else{
			$this->type = Model::LINK_HASONE;
		}
		
		if(isset($dat['key']) ) {
			$this->key = $dat['key'];
		}
		
		$this->on    = isset($dat['on']) ? $dat['on'] : 'id';
		$this->order = isset($dat['order']) ? $dat['order'] : null;
	}
	
	public function setLinkShorthand(string $link) {
		$this->model = $link;
		$this->type = Model::LINK_HASONE;
		$this->on = 'id';
	}
}
