<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\EmailAPI;

use UserModel;

/**
 * Description of EmailAddress
 *
 * @author charlie
 */
class EmailAddress {
	public $name;
	public $address;
	
	public function asString() : string {
		return $this->name ?
			$this->name . ' <' . $this->address . '>' :
			$this->address;
	}

	/**
	 * Get the GPG key ID for a given email address
	 *
	 * If this user is not registered or does not have a GPG key set, then an empty string is returned.
	 *
	 * @return string
	 */
	public function getGPGKeyID() : string {
		if(!\Core\Core::IsComponentAvailable('gpg-key-manager')) {
			// This functionality is only supported if the GPG Key Manager is present.
			return '';
		}

		$keyid = \Core\Datamodel\Dataset::Init()
			->select('gpg_pubkey')
			->table('user')
			->where('email = ' . $this->address)
			->limit(1)
			->executeAndGet();

		return $keyid ?? '';
	}
}
