<?php
/**
 * Class file for FormTextareaInput
 *
 * @package Core\Forms
 * @author Charlie Powell <charlie@evalagency.com>
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

namespace Core\Forms;

/**
 * Class FormMarkdownInput provides a textarea (with markdown support from codemirror)
 *
 * @package Core\Forms
 */
class MarkdownInput extends FormElement {
	public function  __construct($atts = null) {

		parent::__construct($atts);

		// Some defaults
		$this->_attributes['class'] = 'formelement formtextareainput markdown';

		if(empty($this->_attributes['rows'])) {
			$this->_attributes['rows'] = 10;
		}

		$this->_validattributes = [
			'accesskey',
			'dir',
			'disabled',
			'id',
			'lang',
			'name',
			'placeholder',
			'readonly',
			'required',
			'tabindex',
			'rows',
			'cols',
			'style',
		];
	}
}
