<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\Utilities\Profiler;

use \Core\Logger\LogSinkInterface;
use \Core\Logger\LogEntry;

/**
 * Description of ProfilerLogSink
 *
 * @author charlie
 */
class ProfilerLogSink implements LogSinkInterface {
	/**
	 * Get the default level for this sink
	 * 
	 * @return int
	 */
	public function getDefaultLevel() : int {
		return 0; // Disabled by default.
	}
	
	/**
	 * Get the maximum level (lowest priority), that this sink supports.
	 * 
	 * @return int
	 */
	public function getMaximumLevel() : int {
		return LOG_LEVEL_TRACE; // Supports full trace levels.
	}
	
	/**
	 * Record an entry into this sink's destination.
	 * 
	 * @param \Core\Logger\LogEntry $entry
	 */
	public function log(LogEntry $entry){
		
		$event = new ProfilerEvent($entry->message);
		$event->level = $entry->level;
		$event->type  = $entry->type;
		$event->icon  = $entry->icon;
		$event->code  = $entry->code;
		$event->commit();
		
		return;
		
		
		
		// Assemble the mouse-over title text
		$overText = [];
		if($entry->caller){
			$overText[] = 'Called from ' . $entry->caller;
		}
		if($entry->details){
			$overText[] = htmlentities($entry->details, ENT_QUOTES | ENT_HTML5);
		}
		if($entry->trace){
			$overText[] = implode(NL, array_map(function($a){ return $a['formatted']; }, $entry->trace));
		}
		$overText = implode(NL . '---------------' . NL, $overText);
		
		
		// Assemble the message with optional mouse-over text
		$message = ($overText ? '<span title="' . $overText . '">' : '') .
			($entry->code ? '[' . $entry->code . '] ' : '') .
			$entry->message .
			($overText ? '</span>' : '');
		
		Profiler::GetDefaultProfiler()->record($prefix . $message);
	}
}
