<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\ViewMeta;

/**
 * Description of GenericMeta
 *
 * @author charlie
 */
class GenericMeta extends Base {
	protected $_name;
	
	public function __construct(string $name = null, string $value = null) {
		if($name){
			$this->_name = $name;
		}
		
		if($value){
			$this->_content = $value;
		}
	}
	
	/**
	 * Get this Meta's value as a string
	 * 
	 * @return string
	 */
	public function __toString() : string {
		return htmlentities($this->_content);
	}
	
	/**
	 * Get the resolved HTML for this Meta as a set of arrays
	 * 
	 * Each meta can return multiple values.
	 * 
	 * @return array
	 */
	public function fetch() : array {
		$content = $this->__toString();
		
		return [
			$content ? 
			'<meta name="' . $this->_name . '" content="' . $content . '"/>' :
			''
		];
	}
}
