<li itemscope itemtype="http://schema.org/Thing" class="collection-item">

	{if $model->getImage()}
		<div class="collection-item-image">
			<a href="{$model->getResolvedURL()}" title="{$model->getTitle()|escape}">
				{img file=$model->getImage() itemprop="image" placeholder="place" dimensions="80x80^"}
			</a>
		</div>
	{/if}
	
	<a href="{$model->getResolvedURL()}" title="{$model->getTitle()|escape}" class="collection-item-title" itemprop="url">
		<span itemprop="name">{$model->getTitle()}</span>
	</a>
	
	{if $model.__search_relevancy}
		<div class="search-relevancy collection-item-sidenote" title="Relevancy {$model.__search_relevancy*100|round:2}%">
			REL:
			{if $model.__search_relevancy > 0.9}
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
			{elseif $model.__search_relevancy > 0.66}
				<i class="icon icon-star"></i>
				<i class="icon icon-star"></i>
				<i class="icon icon-star-o"></i>
			{else}
				<i class="icon icon-star"></i>
				<i class="icon icon-star-o"></i>
				<i class="icon icon-star-o"></i>
			{/if}
		</div>
	{/if}

	{if $model->getTeaser()}
		<span class="collection-item-description" itemprop="description">
			{$model->getTeaser()|truncate:100}
		</span>
	{/if}

	{access "g:admin"}
		<div class="collection-item-controls">
			{controls model=$model proxy-force=1}
		</div>
	{/access}
	
	<span class="collection-item-footnote">
		<a href="{$model->getResolvedURL()}" title="{$model->getResolvedURL()}">
			{$model->getResolvedURL()}
		</a>
		
		{if $model->getMeta('keywords')}
			<br/><br/>
			{foreach $model->getMeta('keywords') as $tag}
				{a href="/page/search?q=tag:`$tag.meta_value`" class="badge" title="View pages with the tag `$tag.meta_value_title|escape`"}
					<i class="icon icon-tag"></i>{$tag.meta_value_title}
				{/a}
			{/foreach}
		{/if}
	</span>
</li>