<ul class="installer-progress">
	<li class="complete">
		✓
		Configuration
	</li>
	<li class="complete">
		✓
		Requirement Checks
	</li>
	<li class="active">
		Database
	</li>
	<li>
		Deploy Configuration
	</li>
	<li>
		Complete
	</li>
</ul>

{if $quickfix}
	<p>To quickly fix the issues with the database connection, execute these commands in an SQL window (such as that when executing mysql).</p>
<pre>
{$quickfix|escape}
</pre>
{/if}

{if $error}
	<p class="message-error">{$error}</p>
{/if}

{if !$passed}
	<form action="" method="POST">
		<input type="hidden" name="_retry" value="database"/>
		<input type="submit" value="Recheck"/>
	</form>

	<hr/>

	<form action="" method="POST">
		<input type="hidden" name="_retry" value="database"/>
		<input type="hidden" name="_config" value="1"/>

		{foreach $elements as $element}
			<div class="formelement formelement-{$element.type}-input {if $element.advanced}advanced{/if}">
				<div class="formelement-labelinputgroup">
					<label for="formelement-{$element.name}">{$element.title}</label>

					{if $element.type === 'select'}
						<select name="{$element.name}" id="formelement-{$element.name}">
							{foreach $element.options as $opt}
								<option value="{$opt}" {if $opt === $element.value}selected="selected"{/if}>{$opt}</option>
							{/foreach}
						</select>
					{elseif $element.type === 'checkbox'}
						<input type="checkbox" name="{$element.name}" id="formelement-{$element.name}" value="1" {if $element.value === 'true'}checked="checked"{/if}/>
					{else}
						<input type="{$element.type}" name="{$element.name}" id="formelement-{$element.name}" value="{$element.value|escape}"/>
					{/if}
				</div>

				<div class="clear"></div>

				{if $element.description}
					<div class="formdescription">{$element.description}</div>
				{/if}
			</div>
		{/foreach}
		<br/>

		<input type="submit" value="Change Parameters"/>
	</form>
{/if}


{if $passed}
	<p class="message-success">Database connection successful!</p>
	<form action="" method="POST">
		<input type="hidden" name="_submit" value="database"/>
		<input type="submit" value="Next &raquo;"/>
	</form>
{/if}