<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="en">
	<head>
		{css src="css/styles.css"}{/css}
		{css src="css/custom.css" inline="1"}{/css}
		{css src="css/custom_print.css" inline="1" media="print"}{/css}
		{script library="fontawesome"}{/script}
		<meta name="viewport" content="width=100%; initial-scale=1; maximum-scale=5; minimum-scale=1; user-scalable=yes;"/>
	</head>

	{breadcrumbs assign='crumbs'}

	<body class="core-2019-skin skin-app {$body_classes} {if $crumbs}has-breadcrumbs{/if}">
		<div class="outer-wrapper">
			<header class="page-header print">
				{if $smarty.const.SITEPRINTLOGO}
					{img src="`$smarty.const.SITEPRINTLOGO`" alt="`$smarty.const.SITENAME|escape`"}
				{elseif $smarty.const.SITELOGO}
					{img src="`$smarty.const.SITELOGO`" alt="`$smarty.const.SITENAME|escape`"}
				{else}
					{img src="assets/images/logo.png" alt="`$smarty.const.SITENAME|escape`"}
				{/if}
			</header>

			{if $crumbs}
				<nav class="page-breadcrumbs" itemscope itemtype="https://schema.org/BreadcrumbList">
					<div class="width-wrapper">
						{$crumbs}
					</div>
				</nav>
			{/if}

			<div class="content-wrapper">
				<section class="page-content">
					{if !empty($messages)}
						{foreach from=$messages item="m"}
							<p class="message-{$m.mtype}">
								{$m.mtext}
							</p>
						{/foreach}
					{/if}

					{widgetarea name="Above Body"}

					{$body}

					{widgetarea name="After Body"}
				</section>
			</div>
		</div>
	</body>
</html>
