<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="en">
	<head>
		{css src="css/styles.css"}{/css}
		{css src="css/custom.css" inline="1"}{/css}
		{css src="css/custom_print.css" inline="1" media="print"}{/css}
		{script library="fontawesome"}{/script}
		<meta name="viewport" content="width=100%; initial-scale=1; maximum-scale=5; minimum-scale=1; user-scalable=yes;"/>
	</head>

	{**
	 * Retrieve the contents of both headers first so I know the number of columns to display.
	 * This is particularly useful for collapsing the space of an unused column without needing weird javascript.
	 *}
	{widgetarea name="Left Column" assign="left_col"}
	{widgetarea name="Right Column" assign="right_col"}

	<body class="core-2019-skin skin-basic {$body_classes}">
		<div class="outer-wrapper">
			<header class="page-header">
				<div class="width-wrapper">
					{a href="`$smarty.const.ROOT_URL`" title="`$smarty.const.SITENAME|escape`" class="site-logo"}
						{if $smarty.const.SITELOGO}
							{img src="`$smarty.const.SITELOGO`" alt="`$smarty.const.SITENAME|escape`"}
						{else}
							{img src="assets/images/logo.png" alt="`$smarty.const.SITENAME|escape`"}
						{/if}
					{/a}

					{widgetarea name="Header Right"}
					{widgetarea name="Header Left"}
				</div>
			</header>

			<nav class="page-primary-navigation">
				<div class="width-wrapper">
					{widgetarea name="Primary Navigation"}
				</div>
			</nav>

			{if $left_col && $right_col}
				{assign var="col_width" value="2"}
			{elseif $left_col || $right_col}
				{assign var="col_width" value="1"}
			{else}
				{assign var="col_width" value="0"}
			{/if}

			<div class="content-wrapper page-column-width-{$col_width}">
				<section class="page-content">
					{if !empty($messages)}
						{foreach from=$messages item="m"}
							<p class="message-{$m.mtype}">
								{$m.mtext}
							</p>
						{/foreach}
					{/if}

					{widgetarea name="Above Body"}

					{$body}

					{widgetarea name="After Body"}
				</section>

                {if $left_col}
					<!-- There are contents in the Left Column widget, render that aside! -->
					<aside class="page-column page-column-left">
                        {$left_col}
					</aside>
                {else}
					<!-- The Left Column widget is empty, skipping rendering of aside#left-col. -->
                {/if}

				{if $right_col}
					<!-- There are contents in the Right Column widget, render that aside! -->
					<aside class="page-column page-column-right">
						{$right_col}
					</aside>
				{else}
					<!-- The Right Column widget is empty, skipping rendering of aside#right-col. -->
				{/if}
			</div>

			<footer class="page-footer">
				{widgetarea name="Footer"}

				{$footer_legal}
			</footer>
		</div>
	</body>

</html>
